polybori::TransformedSequence< SequenceType, OperatorType > Class Template Reference

This class converts a sequence-like structure when iterating. More...

`#include <TransformedSequence.h>`

## Public Types

typedef SequenceType | sequence_type
typedef sequence_type::const_iterator | sequence_iterator
typedef OperatorType | operator_type
typedef TransformedIterator < sequence_iterator, operator_type > | const_iterator

## Public Member Functions

| TransformedSequence (const sequence_type &seq, const operator_type &func)
| Construct sequence from a set of terms and an unary conversion function. More...
const_iterator | begin () const
| Sequence-like interface. More...
const_iterator | end () const

## Detailed Description

### template<class SequenceType, class OperatorType>
class polybori::TransformedSequence< SequenceType, OperatorType >

This class converts a sequence-like structure when iterating.

## Member Typedef Documentation

template<class SequenceType , class OperatorType >

typedef TransformedIterator<sequence_iterator, operator_type> polybori::TransformedSequence< SequenceType, OperatorType >::const_iterator

template<class SequenceType , class OperatorType >

typedef OperatorType polybori::TransformedSequence< SequenceType, OperatorType >::operator_type

template<class SequenceType , class OperatorType >

typedef sequence_type::const_iterator polybori::TransformedSequence< SequenceType, OperatorType >::sequence_iterator

template<class SequenceType , class OperatorType >

typedef SequenceType polybori::TransformedSequence< SequenceType, OperatorType >::sequence_type

## Constructor & Destructor Documentation

template<class SequenceType , class OperatorType >

polybori::TransformedSequence< SequenceType, OperatorType >::TransformedSequence | ( | const sequence_type & | seq,
|  | const operator_type & | func
| ) |  |

inline

Construct sequence from a set of terms and an unary conversion function.

## Member Function Documentation

template<class SequenceType , class OperatorType >

const_iterator polybori::TransformedSequence< SequenceType, OperatorType >::begin | ( | ) |  | const

inline

Sequence-like interface.

template<class SequenceType , class OperatorType >

const_iterator polybori::TransformedSequence< SequenceType, OperatorType >::end | ( | ) |  | const

inline

The documentation for this class was generated from the following file:

- TransformedSequence.h